/**
 * HTML content for the form's component.
 * @param storagePath Form's storage path.
 * @returns HTML content for the form's component.
 */
export declare function htmlFormComponentContent(storagePath: string, routePlaceholders: string[]): string;
/**
 * HTML content for the collection's component.
 * @param storagePath Collection's storage path.
 * @returns HTML content for the collection's component.
 */
export declare function htmlCollectionComponentContent(storagePath: string, routePlaceholders: string[]): string;
/**
 * Content for the getter used to get a component's storage path.
 * @param storagePath Component's storage path.
 * @param routeParams Param names for the component's route.
 * @returns `path` getter.
 */
export declare function tsComponentPathGetterContent(storagePath: string, routeParams: string[]): string;
