import { ElementRef } from '@angular/core';
/**
 * Available types of dropdown item.
 */
export declare type DropdownItemType = 'item' | 'divider' | 'text' | 'header';
export declare class DropdownItemComponent {
    itemType: DropdownItemType;
    isActive: boolean;
    isDisabled: boolean;
    protected _tagName: string;
    constructor(_host: ElementRef);
    get _hostClassDropdownItem(): boolean;
    get _hostClassDropdownDivider(): boolean;
    get _hostClassDropdownItemText(): boolean;
    get _hostClassDropdownHeader(): boolean;
    get _hostClassDisabled(): boolean;
    get _hostDisabled(): "" | undefined;
}
