import { Rule } from '@angular-devkit/schematics';
import { NgAddOptions } from '../ng-add.options';
/**
 * Default i18n folder name.
 */
export declare const defaultI18nFolderName: any;
/**
 * Locales supported by the Bootstrap theme.
 */
export declare const themeSupportedLocales: {
    'en-US': string;
    'pt-PT': string;
};
/**
 * Adds the application i18n to the project.
 * @param options Schematic options.
 * @returns Schematic rule.
 */
export declare function addI18n(options: NgAddOptions): Rule;
